Name: qpopper
Version: 2.52
Release: 1
Copyright: BSD
Group: Networking/Daemons
Source: ftp://ftp.qualcomm.com/eudora/servers/unix/popper/qpopper2.52.tar.Z
Patch: qpopper-redhat-patch-2.52
Summary: POP3 daemon from Qualcomm
Packager: Ian Burrell <iburrell@leland.stanford.edu>
BuildRoot: /var/tmp/qpopper2.52

%description
POP3 server from QUALCOMM, with the following features: lower memory
requirements, thus faster UIDL assists POP clients which "leave mail
on server" in determining which messages are new. Implements some
other extended POP3 commands. 

This version of qpopper is shadow passwords aware, provied your libc
supports this.

%changelog
* Tue Jul 14 1998 Karl O. Pinc <kop@meme.com>

- Version 2.52, fixes root compromise bug!  See Cert Advisory CA-98.08.
- Fixed to use RPM_OPT_FLAGS -- compiling requires autoconf :-(
- Added buildroot support.
- Got rid of spookey "chmod 1777 /var/spool/mail" in install!
- (You should already have "chown root:mail /var/spool/mail".)
- I did _not_ do a "./configure --enable-bulletins=/var/spool/bulletins
- --with-apop=/etc/pop.auth --with-apopuid=mail".  The 2.3 rpm release
- had the equalivent.  You may want to release an updated version.

%prep
%setup -n qpopper2.52
%patch -p1
autoconf

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ./configure
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make popauth

%install
mkdir -p ${RPM_BUILD_ROOT}
install -d -m755 ${RPM_BUILD_ROOT}/usr/sbin/
install -m755 -s popper ${RPM_BUILD_ROOT}/usr/sbin/in.qpopper
install -d -m755 ${RPM_BUILD_ROOT}/usr/man/man8/
install -m755 popper.8 ${RPM_BUILD_ROOT}/usr/man/man8/in.qpopper.8
install -d -m755 ${RPM_BUILD_ROOT}/usr/sbin/
install -m755 -s popauth ${RPM_BUILD_ROOT}/usr/sbin/popauth
install -d -m755 ${RPM_BUILD_ROOT}/usr/man/man8/
install -m755 popauth.8 ${RPM_BUILD_ROOT}/usr/man/man8/popauth.8
install -d -m755 -o root -g mail -d ${RPM_BUILD_ROOT}/var/spool/mail/bulletins
#touch /var/spool/mail/bulletins/bulldb.pag
#touch /var/spool/mail/bulletins/bulldb.dir
#chmod 640 /var/spool/mail/bulletins/bulldb.pag
#chmod 640 /var/spool/mail/bulletins/bulldb.dir

# chmod 1777 /var/spool/mail

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc License INSTALL doc/Release.Notes
%dir /var/spool/mail/bulletins
/usr/sbin/in.qpopper
/usr/sbin/popauth
/usr/man/man8/in.qpopper.8
/usr/man/man8/popauth.8
